Get cost for a visit
curl --request GET \
--url https://api.raul.ugps.io/api/v1/visit_cost/{visitDetailId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/visit_cost/{visitDetailId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/visit_cost/{visitDetailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"visit_cost_id": 123,
"visit_detail_id": "<string>",
"technician_cost": {},
"cost_per_km_technician": {},
"km_traveled": {},
"tolls": {},
"cost_km_per_km_traveled": {},
"additional_cost": {},
"cost_type_id": {},
"technician_cost_status": {},
"client_cost_status": {},
"client_cost": {},
"cost_per_km_client": {},
"km_traveled_client": {},
"client_currency": {},
"technician_currency": {},
"technician_payed": {},
"costType": {}
}Visit Costs
Get cost for a visit
Operacion: Get cost for a visit.
GET
/
api
/
v1
/
visit_cost
/
{visitDetailId}
Get cost for a visit
Authorizations
Bearer token authentication
Path Parameters
Response
Visit cost details with relations
Visit cost ID
Visit detail ID
Technician cost
Cost per km for technician
Km traveled
Tolls
Cost per km traveled
Additional cost
Cost type ID
Technician cost status
Client cost status
Client cost
Cost per km for client
Km traveled for client
Client currency
Technician currency
Technician payed
Cost type